Skip to main content
GET
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
/
{serviceAccountIdpId}
/
gitcredentials
cURL
curl --request GET \
  --url https://api.example.com/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/gitcredentials \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "credentials": [
    {
      "domain": "github.com",
      "fingerprint": "ba:78:09:d8:4b:3b:09:9b:43:bf:9b:5a:34:f7:3f:28",
      "id": "<string>",
      "name": "My creds",
      "protocol": "https"
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

serviceAccountIdpId
string
required

Query Parameters

offset
integer

How many from the start to skip. Defaults to 0.

limit
integer

Max number to fetch. Defaults to 10.

Response

Get the list of Git credentials associated with a service account

credentials
object[]
required
metadata
object
required